aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc
diff options
context:
space:
mode:
authorFlorian La Roche <laroche@redhat.com>2003-04-18 21:09:07 +0000
committerFlorian La Roche <laroche@redhat.com>2003-04-18 21:09:07 +0000
commita31c7a30dced003c0f96025fa76364eb523e832c (patch)
tree904347a550becd8209e41ad4f5dbd7f30d1ca0ff /rc.d/rc
parent475e9481742a2dc8419909e0fd6e257dc9b3c404 (diff)
downloadinitscripts-a31c7a30dced003c0f96025fa76364eb523e832c.tar
initscripts-a31c7a30dced003c0f96025fa76364eb523e832c.tar.gz
initscripts-a31c7a30dced003c0f96025fa76364eb523e832c.tar.bz2
initscripts-a31c7a30dced003c0f96025fa76364eb523e832c.tar.xz
initscripts-a31c7a30dced003c0f96025fa76364eb523e832c.zip
- new releaser7-16
Diffstat (limited to 'rc.d/rc')
-rwxr-xr-xrc.d/rc14
1 files changed, 3 insertions, 11 deletions
diff --git a/rc.d/rc b/rc.d/rc
index c3eecefd..877b08f9 100755
--- a/rc.d/rc
+++ b/rc.d/rc
@@ -33,11 +33,7 @@ export runlevel previous
# See if we want to be in user confirmation mode
if [ "$previous" = "N" ]; then
- if [ -f /var/run/confirm ] \
- || grep -i confirm /proc/cmdline >/dev/null ; then
- rm -f /var/run/confirm
- CONFIRM=yes
- export CONFIRM
+ if [ -f /var/run/confirm ]; then
echo $"Entering interactive startup"
else
echo $"Entering non-interactive startup"
@@ -77,13 +73,9 @@ for i in /etc/rc$runlevel.d/S* ; do
&& continue
# If we're in confirmation mode, get user confirmation
- if [ -n "$CONFIRM" ]; then
+ if [ -f /var/run/confirm ]; then
confirm $subsys
- case $? in
- 0) :;;
- 2) CONFIRM=;;
- *) continue;;
- esac
+ test $? = 1 && continue
fi
# Bring the subsystem up.